Subject: Re: jffs2 file system on MPC8272ADS board

From: Nethra <[email-masked]>
Date: Wed, 26 Sep 2007 05:34:14 -0700 (PDT)

Hello ,

>> 
>> hi everyone,
>> 
>> I m using custom board similar to MPC8272ADS board...
>> 
>> 1) For the first time it boots up properly in case if we overwrite any
>> existing binaries using nfs mounted file system on the board, after
>> rebooting it displays fallowing message...
>> 
>> Further such events for this erase block will not be printed
>> Eep. Child "null" (ino #1346) of dir ino #3 doesn't exist!
>> Eep. Child "autocomm" (ino #463) of dir ino #461 doesn't exist!
>> Eep. Child "calibration" (ino #464) of dir ino #461 doesn't exist!
>> Eep. Child "coredsp_driver.ko" (ino #939) of dir ino #336 doesn't exist!
>> Inode #1307 was a directory with children - removing those too...
>> Inode #564 was a directory with children - removing those too...
>> Inode #565 was a directory with children - removing those too...
>> Inode #1112 was a directory with children - removing those too...
>> Inode #1115 was a directory with children - removing those too...
>> Inode #1118 was a directory with children - removing those too...
>> Inode #1123 was a directory with children - removing those too...
>> 
>> after this board boots up properly....but it not be having overwritten
>> files
>> 

>Have you created jffs2 file system on flash prior to mounting it?

Yes I created jffs2 filesytem using mkfs.jffs2 prior to mounting and then I 
am over-writing some of the binaries.  In case of overwrites from NFS after
reboot
I see the above errors & the binaries/directories gets deleted from the
jffs2 partition.

>> 3) when board is running properly in between it starts printing on
>> console
>> repeatedly...
>> 

>Do the proper MTD partitions setup, erase the partition and create jffs2
filesystem on it.
>If after all those steps you're still getting output, that is prolly flakey
flash.

>> Header CRC failed on REF_PRISTINE node at 0x00638a6c: Read 0xffffffff,
>> calculated 0x44660075
>> Node totlen on flash (0xffffffff) != totlen from node ref (0x00000254)
>> Header CRC failed on REF_PRISTINE node at 0x00638cc0: Read 0xffffffff,
>> calculated 0x44660075
[...]
>>  and 
>> 
>> file system is created using fallowing command..
>> 
>> mkfs.jffs2 -r RFS_NEW/ -e 0x20000 -o /tftpboot/jffs2_img -b
>> 
>I am recalling playing with the options upper also cured the jffs2 warnings
(not as many as yours but anyway)

The other options I am wondering about,
  -c, --cleanmarker=SIZE Size of cleanmarker (default 12)
  -n, --no-cleanmarkers  Don't add a cleanmarker to every eraseblock
cleanmaker size will it help the cause?

Nethra
 
-- 
View this message in context: http://www.nabble.com/jffs2-file-system-on-MPC8272ADS-board-tf4513530.html#a12900017
Sent from the linuxppc-dev mailing list archive at Nabble.com.